var common_url = 'https://www.zhenhaowan.cn/api/';
function ajaxRequest(url, method, bodyParam, callBack) {
    api.ajax({
        url: common_url + url,
        method: method,
        cache: false,
        timeout: 20,
        returnAll: true,
        data: {
            values: bodyParam
        }
    }, function(ret, err) {
       callBack(ret.body);
    });
}

function ajaxUpload(url, filesParam, valuesParam, callBack) {
    var memberId = $api.getStorage('memberId');
    if (!memberId) memberId = '';

    api.ajax({
        url: common_url + url,
        method: 'post',
        cache: false,
        timeout: 20,
        returnAll: true,
        headers: {
            'jsonType': 'jsonType',
            'appFlag': 2,
            'clientId': memberId,
        },
        data: {
            files: filesParam,
            values: valuesParam
        }
    }, function(ret, err) {

        if (ret) {
            callBack(ret.body);
        } else {
            api.alert({
                msg: err.msg
            });
        }

    });
}
